org.keycloak.saml

## Class BaseSAML2BindingBuilder.BaseRedirectBindingBuilder

- java.lang.Object
- - org.keycloak.saml.BaseSAML2BindingBuilder.BaseRedirectBindingBuilder

- Direct Known Subclasses:
    JaxrsSAML2BindingBuilder.RedirectBindingBuilder
  Enclosing class:
    BaseSAML2BindingBuilder<T extends BaseSAML2BindingBuilder>

      public static class BaseSAML2BindingBuilder.BaseRedirectBindingBuilder
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected BaseSAML2BindingBuilder` | `builder`
    `protected Document` | `document`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `BaseRedirectBindingBuilder(BaseSAML2BindingBuilder builder, Document document)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URI` | `generateURI(String redirectUri, boolean asRequest)`
    `Document` | `getDocument()`
    `URI` | `requestURI(String actionUrl)`
    `URI` | `responseURI(String actionUrl)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### document

          protected Document document

    - #### builder

          protected BaseSAML2BindingBuilder builder

  - ### Constructor Detail

    - #### BaseRedirectBindingBuilder

          public BaseRedirectBindingBuilder(BaseSAML2BindingBuilder builder,
                                            Document document)
                                     throws ProcessingException

      Throws:
        `ProcessingException`

  - ### Method Detail

    - #### getDocument

          public Document getDocument()

    - #### generateURI

          public URI generateURI(String redirectUri,
                                 boolean asRequest)
                          throws ConfigurationException,
                                 ProcessingException,
                                 IOException

      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

    - #### requestURI

          public URI requestURI(String actionUrl)
                         throws ConfigurationException,
                                ProcessingException,
                                IOException

      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

    - #### responseURI

          public URI responseURI(String actionUrl)
                          throws ConfigurationException,
                                 ProcessingException,
                                 IOException

      Throws:
        `ConfigurationException`
        `ProcessingException`
        `IOException`

Copyright © 2020 JBoss by Red Hat. All rights reserved.